Loading...
Searching...
No Matches
pcl::recognition::HypothesisBase Class Reference

`#include <pcl/recognition/ransac_based/hypothesis.h>`

Inheritance diagram for pcl::recognition::HypothesisBase:

## Public Member Functions

| HypothesisBase (const ModelLibrary::Model *obj_model)
| HypothesisBase (const ModelLibrary::Model *obj_model, const float *rigid_transform)
virtual | ~HypothesisBase ()=default
void | setModel (const ModelLibrary::Model *model)

## Public Attributes

float | rigid_transform_ [12] {}
const ModelLibrary::Model * | obj_model_ {nullptr}

## Detailed Description

Definition at line 55 of file hypothesis.h.

## Constructor & Destructor Documentation

## HypothesisBase() [1/2]

pcl::recognition::HypothesisBase::HypothesisBase | ( | const ModelLibrary::Model * | obj_model | ) |

inline

Definition at line 58 of file hypothesis.h.

## HypothesisBase() [2/2]

pcl::recognition::HypothesisBase::HypothesisBase | ( | const ModelLibrary::Model * | obj_model,
|  | const float * | rigid_transform
| ) |  |

inline

Definition at line 62 of file hypothesis.h.

References rigid_transform_.

## ~HypothesisBase()

virtual pcl::recognition::HypothesisBase::~HypothesisBase | ( |  | ) |

virtual default

## Member Function Documentation

## setModel()

void pcl::recognition::HypothesisBase::setModel | ( | const ModelLibrary::Model * | model | ) |

inline

Definition at line 71 of file hypothesis.h.

References obj_model_.

## Member Data Documentation

## obj_model_

const ModelLibrary::Model* pcl::recognition::HypothesisBase::obj_model_ {nullptr}

Definition at line 78 of file hypothesis.h.

Referenced by pcl::recognition::Hypothesis::computeBounds(), pcl::recognition::Hypothesis::computeCenterOfMass(), pcl::recognition::Hypothesis::operator=(), and setModel().

## rigid_transform_

float pcl::recognition::HypothesisBase::rigid_transform_[12] {}

Definition at line 77 of file hypothesis.h.

Referenced by pcl::recognition::Hypothesis::computeBounds(), pcl::recognition::Hypothesis::computeCenterOfMass(), HypothesisBase(), and pcl::recognition::Hypothesis::operator=().

The documentation for this class was generated from the following file:

- pcl/recognition/ransac_based/hypothesis.h